summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2024-12-17 17:13:11 +0000
committerSam James <sam@gentoo.org>2024-12-17 17:13:52 +0000
commit14e674bb7a8cb8aa50498582e392d0ecd21f2d4a (patch)
tree26d9e04dcd38532bc360af17e8e152a5e4865740 /eclass
parentapp-text/pdfjam: drop 3.10-r1 (diff)
downloadgentoo-14e674bb7a8cb8aa50498582e392d0ecd21f2d4a.tar.gz
gentoo-14e674bb7a8cb8aa50498582e392d0ecd21f2d4a.tar.bz2
gentoo-14e674bb7a8cb8aa50498582e392d0ecd21f2d4a.zip
toolchain.eclass: allow current slot for ada-bootstrap dep
Otherwise, you don't get a clean path for 14-with-14. Bug: https://bugs.gentoo.org/940472 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass31
1 files changed, 22 insertions, 9 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 8d2c04b6bf25..b74984fc8ea8 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -411,16 +411,29 @@ if tc_has_feature valgrind ; then
fi
if [[ ${PN} != gnat-gpl ]] && tc_has_feature ada ; then
- BDEPEND+="
- ada? (
- || (
- sys-devel/gcc:${SLOT}[ada]
- <sys-devel/gcc-${SLOT}[ada]
- <dev-lang/ada-bootstrap-${SLOT}
- dev-lang/gnat-gpl[ada]
+ if tc_use_major_version_only ; then
+ BDEPEND+="
+ ada? (
+ || (
+ sys-devel/gcc:${SLOT}[ada]
+ <sys-devel/gcc-${SLOT}[ada]
+ <dev-lang/ada-bootstrap-$((${SLOT} + 1))
+ dev-lang/gnat-gpl[ada]
+ )
)
- )
- "
+ "
+ else
+ BDEPEND+="
+ ada? (
+ || (
+ sys-devel/gcc:${SLOT}[ada]
+ <sys-devel/gcc-${SLOT}[ada]
+ <dev-lang/ada-bootstrap-${SLOT}
+ dev-lang/gnat-gpl[ada]
+ )
+ )
+ "
+ fi
fi
# TODO: Add a pkg_setup & pkg_pretend check for whether the active compiler